VIPSHEADER(1)

NAME
vipsheader - prints information about an image file

SYNOPSIS
vipsheader [OPTIONS ...] files ...

DESCRIPTION
vipsheader(1) prints image header fields to stdout.

OPTIONS

-a, --all
    Show all fields. Fields are displayed to be convenient for humans to read, so binary data, for example, is summarized rather than simply printed.

-f FIELD, --field=FIELD
    Print the value of FIELD from the image header. Fields are printed in a way suitable for programs to understand, so, for example, binary data is base64-encoded and printed as a stream of characters. The special field name getext prints the VIPS extension block: the XML defining the image metadata. You can alter this, then reattach with vipsedit(1). You can use multiple "-f" arguments to print the values of many fields.

EXAMPLES
 $ vipsheader -f width ~/pics/*.v
 1024
 1279
 22865
 1
 256

SEE ALSO
vipsedit(1)

COPYRIGHT
N. Dessipris

AUTHOR
N. Dessipris - 12/07/1990